package com.ruoyi.demo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.demo.entity.bo.PlanItemAddBo;
import lombok.Data;

@Data
@TableName("dl_plan_item")
public class PlanItem {
    @TableId(value = "item_id",type = IdType.ASSIGN_ID)
    private String itemId;
    @TableField("plan_id")
    private String planId;
    @TableField("store_id")
    private String storeId;
    @TableField("equipment_id")
    private String equipmentId;
    @TableField("equipment_name")
    private String equipmentName;
    @TableField("equipment_code")
    private String equipmentCode;
    @TableField("addr_info")
    private String addrInfo;
    @TableField("addr_code")
    private String addrCode;
    @TableField("addr_code_info")
    private String addrCodeInfo;
    @TableField("qr_code")
    private String qrCode;

    @TableField("sort")
    private Integer sort;

    @TableField("deleted")
    private int deleted;

    public PlanItem(){}
    public PlanItem(String planId, PlanItemAddBo bo){
        this.planId = planId;
        this.storeId = bo.getStoreId();
        this.equipmentId = bo.getEquipmentId();
        this.equipmentName = bo.getEquipmentName();
        this.equipmentCode = bo.getEquipmentCode();
        this.addrInfo = bo.getAddrInfo();
        this.addrCode = bo.getAddrCode();
        this.addrCodeInfo = bo.getAddrCodeInfo();
        this.qrCode = bo.getQrCode();
        this.sort = 0;
    }
}
